cmogstored dev/user discussion/issues/patches/etc
 help / color / mirror / code / Atom feed
* [PATCH] require newer gnulib for free_mount_entry support
@ 2015-11-20 21:35 Eric Wong
  0 siblings, 0 replies; only message in thread
From: Eric Wong @ 2015-11-20 21:35 UTC (permalink / raw)
  To: cmogstored-public; +Cc: Eric Wong

gnulib commit 41d1b6c42641a5b9e21486ca2074198ee7909bd7
("mountlist: add support for deallocating returned list entries")
or later (from July 2013) is needed for free_mount_entry support
introduced in our commit 1225f9ce4c32b3bba61ce92a487d99260a001995
("use free_mount_entry from gnulib instead of rolling our own").
---
 HACKING    |  5 +++++
 autogen.sh | 12 ++++++++++++
 2 files changed, 17 insertions(+)

diff --git a/HACKING b/HACKING
index 2088958..4afe63a 100644
--- a/HACKING
+++ b/HACKING
@@ -20,8 +20,13 @@ Generally, the versions of these tools bundled with the latest
 stable release of Debian GNU/Linux will work.
 
 For Gnulib, we will use the latest git checkouts from:
+
 	git://git.savannah.gnu.org/gnulib.git
 
+We currently require gnulib commit 41d1b6c42641a5b9e21486ca2074198ee7909bd7
+("mountlist: add support for deallocating returned list entries")
+or later (from July 2013) for free_mount_entry support
+
 For gcov code coverage reports, we rely on "gcov2perl" and "cover"
 from the Devel::Cover Perl module:
 
diff --git a/autogen.sh b/autogen.sh
index 4db469d..6fb4433 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,6 +4,18 @@ glver="$(gnulib-tool --version | head -n1)"
 if gnulib-tool --update && autoreconf -i
 then
 	echo "$glver" > .gnulib-version
+	if ! grep -w free_mount_entry >/dev/null lib/mountlist.h
+	then
+		cat >&2 <<EOF
+
+ERROR: gnulib too old
+gnulib commit 41d1b6c42641a5b9e21486ca2074198ee7909bd7
+("mountlist: add support for deallocating returned list entries")
+or later (from July 2013) for free_mount_entry support
+
+EOF
+		exit 1
+	fi
 	exit 0
 fi
 cat HACKING
-- 
EW


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2015-11-20 21:35 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2015-11-20 21:35 [PATCH] require newer gnulib for free_mount_entry support Eric Wong

Code repositories for project(s) associated with this public inbox

	https://yhbt.net/cmogstored.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).